> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Conversation

> Update a conversation's read, endedAt, record, interacted, and isLive fields



## OpenAPI

````yaml put /agents/{agentId}/conversations/{conversationId}
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /agents/{agentId}/conversations/{conversationId}:
    put:
      tags:
        - Conversations
      summary: Update Conversation
      description: >-
        Update a conversation's read, endedAt, record, interacted, and isLive
        fields
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
        - name: agentId
          in: path
          required: true
          description: The ID of the agent
          schema:
            type: string
        - name: conversationId
          in: path
          required: true
          description: The ID of the conversation
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                platformId:
                  type: string
                  description: The conversation ID on the original platform
                leadId:
                  type: string
                  description: The lead associated with the conversation
                name:
                  type: string
                  description: The name of the user who created the conversation
                read:
                  type: boolean
                  description: Whether the conversation has been read
                  default: false
                endedAt:
                  type: string
                  format: date-time
                  description: The date and time the conversation ended
                browser:
                  type: string
                  description: The browser used for the conversation
                device:
                  type: string
                  description: The device used for the conversation
                os:
                  type: string
                  description: The operating system used for the conversation
                countryCode:
                  type: string
                  description: >-
                    The country code associated with the user's location (ISO
                    3166-1 alpha-2)
                ipAddress:
                  type: string
                  description: The IP address of the User
                record:
                  type: boolean
                  description: Whether to record the conversation
                  default: false
                interacted:
                  type: boolean
                  description: Whether the conversation has user interaction
                  default: false
                channel:
                  type: string
                  description: The channel where the conversation took place
                phone:
                  type: string
                  description: >-
                    The phone number associated with the conversation (FROM
                    number for Retell, CUSTOMER number for Vapi and ElevenLabs)
                phoneSecondary:
                  type: string
                  description: >-
                    The TO phone number for retell, AGENT number for Vapi and
                    ElevenLabs)
                instagramId:
                  type: string
                  description: The Instagram ID of the user for Instagram conversations
                instagramUsername:
                  type: string
                  description: >-
                    The Instagram username of the user for Instagram
                    conversations
                cost:
                  type: number
                  description: The cost of the conversation (voice ai calls)
                duration:
                  type: number
                  description: The duration of the conversation in minutes (voice ai calls)
                url:
                  type: string
                  description: The URL of the conversation (recording URL for voice ai)
                endedReason:
                  type: string
                  description: The reason the conversation ended (voice ai)
                noAnswer:
                  type: boolean
                  description: If the call was not answered (voice ai)
                status:
                  type: string
                  enum:
                    - ai
                    - pending
                    - human
                  default: ai
                  description: The status of the conversation
                liveAgentName:
                  type: string
                  description: Name of the live agent handling the conversation
                liveAgentId:
                  type: string
                  description: ID of the live agent that handled the conversation
                isLive:
                  type: boolean
                  description: Whether the conversation is live
                  default: false
                note:
                  type: string
                  description: A note about the conversation
                topic:
                  type: string
                  description: The topic associated with the conversation
                subtopic:
                  type: string
                  description: The subtopic associated with the conversation
                summary:
                  type: string
                  description: Summary of the conversation
                evaluation:
                  type: object
                  properties:
                    isSuccess:
                      type: boolean
                      description: Whether the conversation was successful
                    reason:
                      type: string
                      description: Reason for the evaluation
                mistunderstoodQueries:
                  type: array
                  items:
                    type: object
                    properties:
                      question:
                        type: string
                        description: The misunderstood question
                customAnalysis:
                  type: object
                  description: >-
                    Custom analysis data being imported in from platforms (just
                    voice agents for now)
                metadata:
                  type: object
                  description: >-
                    Metadata associated with the conversation (e.g., custom
                    fields from platforms)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Conversation updated successfully
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred

````